Application servers
Create server
Creates a new server
POST
/api/application/serversAuthorization
ApplicationToken AuthorizationBearer <token>
Application API key (generated at /admin/api)
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/application/servers" \ -H "Content-Type: application/json" \ -d '{ "name": "Building", "user": 1, "egg": 1, "docker_image": "quay.io/pterodactyl/core:java", "startup": "java -Xms128M -Xmx128M -jar server.jar", "environment": { "BUNGEE_VERSION": "latest", "SERVER_JARFILE": "server.jar" }, "limits": { "memory": 128, "swap": 0, "disk": 512, "io": 500, "cpu": 100 }, "feature_limits": { "databases": 5, "backups": 1 }, "allocation": { "default": 17 } }'{ "object": "server", "attributes": { "id": 7, "external_id": null, "uuid": "d557c19c-8b21-4456-a9e5-181beda429f4", "identifier": "d557c19c", "name": "Building", "description": "", "suspended": false, "limits": { "memory": 128, "swap": 0, "disk": 512, "io": 500, "cpu": 100, "threads": null }, "feature_limits": { "databases": 5, "allocations": 0, "backups": 1 }, "user": 1, "node": 1, "allocation": 17, "nest": 1, "egg": 1, "container": { "startup_command": "java -Xms128M -Xmx128M -jar server.jar", "image": "quay.io/pterodactyl/core:java", "installed": false, "environment": { "BUNGEE_VERSION": "latest", "SERVER_JARFILE": "server.jar", "STARTUP": "java -Xms128M -Xmx128M -jar server.jar", "P_SERVER_LOCATION": "GB", "P_SERVER_UUID": "d557c19c-8b21-4456-a9e5-181beda429f4", "P_SERVER_ALLOCATION_LIMIT": 0 } }, "updated_at": "2020-10-29T01:38:59+00:00", "created_at": "2020-10-29T01:38:59+00:00" }}